
/*	Copyright (c) 2001, ATAPY Software. All rights reserved.

	This file is part of Pdf2Bmp. 
	
	Pdf2Bmp is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	Pdf2Bmp is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include <String.h> 

#include "Tools.h" 

//////////////////////////////////////////////////////////////////////////////////////////////////////////////
//

static const char slash( '\\' ); 
int getNumberOfSlash( const char* string ) 
{
	int retValue = 0; 

	const int length = strlen( string ); 
	for( int i = 0; i < length; i++ ) { 
		if( string[i] == slash ) { 
			retValue++; 
		}
	}

	return retValue; 
}

const char* doubleSlashString( const char* string ) 
{
	char* ret = allocString( strlen( string ) + getNumberOfSlash( string ) ); 

	const int length = strlen( string ); 
	for( int i = 0, j = 0; i < length; i++ ) { 
		ret[j] = string[i]; 
		j++; 
		if( string[i] == slash ) { 
			ret[j] = slash; 
			j++; 
		}
	}
	ret[j] = 0; 

	return ret; 
}

int getStringLength( int number ) 
{
	char buffer[20]; 
	_itoa( number, buffer, 10 ); 

	return strlen( buffer ); 
}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
