
/*	Copyright (c) 2001, ATAPY Software. All rights reserved.

	This file is part of Pdf2Bmp. 
	
	Pdf2Bmp is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	Pdf2Bmp is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __PDF2BMP_H 
#define __PDF2BMP_H 

//////////////////////////////////////////////////////////////////////////////////////////////////////////////
//

/*
This program converts pdf-file to bmp-file.

commandline:
Pdf2Bmp.exe /c:(command) /s:(sourceFileName) /d:(destinationFileName) /p:(page) /f:format /rx:(xRes) /ry:(yRes)
command: count|print
	count - getPageCount
	print - printPageToFile
sourceFileName: source pdf-file name
destinationFileName: destination bmp-file name
	if command=count file consists of the string with number of pages (for example "100")
	if command=print file is bmp-file
page: pagenumber
	if command=print - number of pages in pdf-file
format: output file format
	if command=print - bmpmono, bmpgray, bmp16m
xRes, yRes: resolution
	if command=print - the resolution of bmp-file

Return values:
	If succeeded the return value is 0.
	If failed the return value is one of the following error values.
*/

//////////////////////////////////////////////////////////////////////////////////////////////////////////////
//


const int err_InvalidParams = -1; /*Command line consists incorrect parameter.*/
const int err_CantLoadDLL = -2; /*Can't load gsdll32.dll.*/
const int err_InvalidDLLRevision = -3; /*Invalid revision of gsdll32.dll. Revision 705 or compatible required.*/
const int err_InvalidPDF = -4; /*Pdf-file is invalid.*/
const int err_UnknownError = -100; /*Unknown error.*/

//////////////////////////////////////////////////////////////////////////////////////////////////////////////
//

#endif //	__PDF2BMP_H 
